POST Api/Notifications
Request Information
URI Parameters
None.
Body Parameters
Collection of Notification| Name | Description | Type | Additional information |
|---|---|---|---|
| NotificationId | integer |
None. |
|
| Date | date |
None. |
|
| FormattedDate | string |
None. |
|
| Type | string |
None. |
|
| Title | string |
None. |
|
| DescriptionShort | string |
None. |
|
| DescriptionLong | string |
None. |
|
| TargetType | string |
None. |
|
| TargetId | integer |
None. |
|
| ObjectState | ObjectState |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"notificationId": 1,
"date": "2026-09-23T09:57:52.6387771+00:00",
"formattedDate": "sample string 3",
"type": "sample string 4",
"title": "sample string 5",
"descriptionShort": "sample string 6",
"descriptionLong": "sample string 7",
"targetType": "sample string 8",
"targetId": 1,
"objectState": 0
},
{
"notificationId": 1,
"date": "2026-09-23T09:57:52.6387771+00:00",
"formattedDate": "sample string 3",
"type": "sample string 4",
"title": "sample string 5",
"descriptionShort": "sample string 6",
"descriptionLong": "sample string 7",
"targetType": "sample string 8",
"targetId": 1,
"objectState": 0
}
]
application/xml, text/xml
Sample:
<ArrayOfNotification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
<Notification>
<ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
<Date>2026-09-23T09:57:52.6387771+00:00</Date>
<DescriptionLong>sample string 7</DescriptionLong>
<DescriptionShort>sample string 6</DescriptionShort>
<FormattedDate>sample string 3</FormattedDate>
<NotificationId>1</NotificationId>
<TargetId>1</TargetId>
<TargetType>sample string 8</TargetType>
<Title>sample string 5</Title>
<Type>sample string 4</Type>
</Notification>
<Notification>
<ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
<Date>2026-09-23T09:57:52.6387771+00:00</Date>
<DescriptionLong>sample string 7</DescriptionLong>
<DescriptionShort>sample string 6</DescriptionShort>
<FormattedDate>sample string 3</FormattedDate>
<NotificationId>1</NotificationId>
<TargetId>1</TargetId>
<TargetType>sample string 8</TargetType>
<Title>sample string 5</Title>
<Type>sample string 4</Type>
</Notification>
</ArrayOfNotification>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of Notification| Name | Description | Type | Additional information |
|---|---|---|---|
| NotificationId | integer |
None. |
|
| Date | date |
None. |
|
| FormattedDate | string |
None. |
|
| Type | string |
None. |
|
| Title | string |
None. |
|
| DescriptionShort | string |
None. |
|
| DescriptionLong | string |
None. |
|
| TargetType | string |
None. |
|
| TargetId | integer |
None. |
|
| ObjectState | ObjectState |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"notificationId": 1,
"date": "2026-09-23T09:57:52.6543984+00:00",
"formattedDate": "sample string 3",
"type": "sample string 4",
"title": "sample string 5",
"descriptionShort": "sample string 6",
"descriptionLong": "sample string 7",
"targetType": "sample string 8",
"targetId": 1,
"objectState": 0
},
{
"notificationId": 1,
"date": "2026-09-23T09:57:52.6543984+00:00",
"formattedDate": "sample string 3",
"type": "sample string 4",
"title": "sample string 5",
"descriptionShort": "sample string 6",
"descriptionLong": "sample string 7",
"targetType": "sample string 8",
"targetId": 1,
"objectState": 0
}
]
application/xml, text/xml
Sample:
<ArrayOfNotification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
<Notification>
<ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
<Date>2026-09-23T09:57:52.6543984+00:00</Date>
<DescriptionLong>sample string 7</DescriptionLong>
<DescriptionShort>sample string 6</DescriptionShort>
<FormattedDate>sample string 3</FormattedDate>
<NotificationId>1</NotificationId>
<TargetId>1</TargetId>
<TargetType>sample string 8</TargetType>
<Title>sample string 5</Title>
<Type>sample string 4</Type>
</Notification>
<Notification>
<ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
<Date>2026-09-23T09:57:52.6543984+00:00</Date>
<DescriptionLong>sample string 7</DescriptionLong>
<DescriptionShort>sample string 6</DescriptionShort>
<FormattedDate>sample string 3</FormattedDate>
<NotificationId>1</NotificationId>
<TargetId>1</TargetId>
<TargetType>sample string 8</TargetType>
<Title>sample string 5</Title>
<Type>sample string 4</Type>
</Notification>
</ArrayOfNotification>